# Playstation
## Description
This project is an application that shows a database of all current PS5 games 
with historical_deals.csv, which includes information on name, publisher, link, discount percentage, 
original price, discount price, discount end time, rating, amount of rating, genre, and release date. 
In my application, You can find interesting games and visit the PS5 official website for more information. 
You can also use the data to analyze graphs. Users can choose the type of graph and see 
data storytelling that i represented 

## Requirements
pip==23.3

numpy==1.26.4

pandas==2.2.2

matplotlib==3.8.4

seaborn==0.13.2

## Installation

step1: git clone https://github.com/tanasatit/Year1-Project-tanasatit.git

step2: Create new virtual environment - python -m venv env

step3: Activate virtual environment - . env/bin/activate

step4: Install required modules - pip install -r requirements.txt

step5: Run main file - python main.py

## Dataset
https://www.kaggle.com/datasets/crxxom/ps5-discount-games

## ApplicationUI

Info page

![img.png](Image/info1.png)

visit website

![img.png](Image/info2.png)


Statistic page

![img.png](Image/statistic.png)


Data Storytelling page

![img.png](Image/data_story.png)
